nxt.util

## Enum BooleanExpression.SyntaxError

- java.lang.Object
- - java.lang.Enum<BooleanExpression.SyntaxError>
  - - nxt.util.BooleanExpression.SyntaxError

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BooleanExpression.SyntaxError>
  Enclosing class:
    BooleanExpression

      public static enum BooleanExpression.SyntaxError
      extends java.lang.Enum<BooleanExpression.SyntaxError>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIGIT_AT_VARIABLE_START`
    `ILLEGAL_CHARACTER`
    `LITERAL_EXPECTED`
    `OPERATOR_OR_AND_EXPECTED`
    `UNEXPECTED_NEGATION`
    `VARIABLE_EXPECTED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage(java.lang.Object... args)`
    `static BooleanExpression.SyntaxError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BooleanExpression.SyntaxError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VARIABLE_EXPECTED

          public static final BooleanExpression.SyntaxError VARIABLE_EXPECTED

    - #### LITERAL_EXPECTED

          public static final BooleanExpression.SyntaxError LITERAL_EXPECTED

    - #### OPERATOR_OR_AND_EXPECTED

          public static final BooleanExpression.SyntaxError OPERATOR_OR_AND_EXPECTED

    - #### UNEXPECTED_NEGATION

          public static final BooleanExpression.SyntaxError UNEXPECTED_NEGATION

    - #### DIGIT_AT_VARIABLE_START

          public static final BooleanExpression.SyntaxError DIGIT_AT_VARIABLE_START

    - #### ILLEGAL_CHARACTER

          public static final BooleanExpression.SyntaxError ILLEGAL_CHARACTER

  - ### Method Detail

    - #### values

          public static BooleanExpression.SyntaxError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BooleanExpression.SyntaxError c : BooleanExpression.SyntaxError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BooleanExpression.SyntaxError valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMessage

          public java.lang.String getMessage(java.lang.Object... args)